#include <iostream>
using namespace std;
int main(){
	int T, n[30000];
	cin>>T;
	int a[30000], b[30000];
	int brojnega[30000],brojnegb[30000];
	for(int i=0; i<T; i++){
		cin>>n[i];
		for(int j=0; j<n[i]; j++){
			cin>>b[j];
			if(b[j]<0) brojnegb[j]++;
		}
		for(int j=0; j<n[i]; j++){
			cin>>a[j];
			if(a[j]<0) brojnega[j]++;
		}
	}
	for(int i=0; i<T; i++){
		if(brojnega[i]!=n[i]-1 || brojnega[i]!=brojnegb[i]) cout<<"NE";
		else cout<<"DA";
	}
	return 0;
}